.timeline-item-desc-diff{
	padding:.5rem 1.5rem;
}

.timeline-item-desc-diff-item{
	padding:1rem 0;
	&:last-child{
		border-bottom:none;
	}
}

.timeline-item-desc-diff-item,
.timeline-item-desc-diff-item-value{
	display: flex;
	flex-direction: column;
}

.timeline-item-desc-diff-item-label{
	font-weight: 500;
	margin-bottom:.25rem;
	font-size:16px;
	overflow: hidden;
	text-overflow: ellipsis;
}

.timeline-item-desc-diff-item-value{
	flex-direction:column;
	@media #{$medium-large-and-up}{
		flex-direction:row;
	}
}

.timeline-item-desc-diff-item-value{
	.old,
	.new{
		overflow-x: hidden;
		text-overflow: ellipsis;
		word-break: break-all;
		font-size:1rem;
	}
	.old{
		padding-bottom:2.3rem;
		position: relative;
		&:after{
			position: absolute;
			left:0px;
			bottom:5px;
			font-family: 'Material Design Icons';
			content:mdi('arrow-down');
			color:#666;
			font-size:.9rem;
			width:100%;
			text-align: center;
			border-radius:10px;
			background: #e3e3e3;
			height: 20px;
			line-height: 20px;
		}
		&:empty{
			&:before{
				content:'-';
			}
		}
	}
	@media #{$medium-large-and-up}{
		.old,
		.new{
			width:50%;
		}
		.old{
			padding-right:2.3rem;
			padding-bottom:0;
			&:after{
				right:0;
				top:50%;
				margin-top:-10px;
				left:auto;
				bottom:auto;
				content:mdi('arrow-right');
				width: 20px;
			}
		}
		.new{
			padding-left:1.5rem;
		}
	}
}

[data-event-type="case/object/create"]{
	.timeline-item-desc-diff-item-value{
		.old{
			display: none;
		}
		.new{
			width:100%;
			padding:0;
		}
	}
	.timeline-item-desc-diff-item{
		padding:0 0 1.25rem;
	}
	.timeline-item-desc-diff{
		padding:1.25rem 1.5rem .25rem;
	}
	.timeline-item-desc-diff-item-label{
		margin-bottom:0;
	}
}
